!set title=Propiedades de la multiplicación
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
author=XIAO Gang
email=xiao@unice.fr

ansorder=c
varcnt=20
prevarcnt=19
postvarcnt=0
replycnt=0
choicecnt=1
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

val6=True
val7=False
val8=$val6,$val7
tmp0=!randitem 1,2

val9=$[rint($(tmp0))]
tmp0=!item $val9 of A,B

val10=$(tmp0)
tmp0=!item $val9 of B,A

val11=$(tmp0)
tmp0=!randitem A + B, B + A

val12=$(tmp0)
tmp0=!randitem A,B

val13=$(tmp0)
tmp0=!randitem AB,BA

val14=$(tmp0)
tmp0=!randint 2, 10

val15=$[rint($(tmp0))]
tmp0=!randitem $val10($val12) = $val10^2 + $val10$val11, ($val12)$val10 = $val10^2 + $val11$val10

tmp1=!randitem $val10($val12) = $val10^2 + $val11$val10, ($val12)$val10 = $val10^2 + $val10$val11

tmp2=!randitem $val10($val12),($val12)$val10

tmp3=!randitem $val10($val12) \ne $val10^2 + $val11$val10, ($val12)$val10 \ne $val10^2 + $val10$val11

tmp4=!randitem $val10($val12) \ne $val10^2 + $val10$val11, ($val12)$val10 \ne $val10^2 + $val11$val10

tmp5=!randitem AB = CB,BC = BA

tmp6=!randitem AB \ne CB,BC \ne BA

tmp7=!randitem A + B = C + B,B + C = B + A

tmp8=!randitem $val10^2, $val10+I_$val15, $val10 + $val10, $val10+$val10^2, $val10^2+I_$val15

tmp9=!randitem 0,I_$val15

tmp10=!randitem 0,I_$val15

tmp11=!randitem 0,I_$val15

tmp12=!randitem 0,I_$val15

tmp=!trim \(AB = 0),\(BA = 0),$val7	\(AB \ne 0),\(BA \ne 0),$val7	\(AB = 0),\(AB = BA),$val7	\(AB = I_$val15),\(BA = I_$val15),$val6	\(AB \ne I_$val15),\(BA \ne I_$val15),$val6	\(AB = $val10),\($val11 = I_$val15),$val7	\(AB = 0) and \($val10 \ne 0),\($val11 = 0),$val7	\(A \ne 0) and \(B \ne 0),\(AB \ne 0),$val7	\(AB = BA),\((A+B)(A-B) = A^2 - B^2),$val6	\(AB \ne BA),\((A+B)(A-B) \ne A^2 - B^2),$val6	\((A+B)(A-B) = A^2 - B^2),\(AB = BA),$val6	\((A+B)(A-B) \ne A^2 - B^2),\(AB \ne BA),$val6	\((A+B)^2 = A^2 + 2AB + B^2),\(AB = BA),$val6	\($(tmp0)),\(AB = BA),$val7	\($(tmp1)),\(AB = BA),$val6	\(AB = BA),\($(tmp2) = $val10^2 + $val14),$val6	\(AB \ne BA),\($(tmp3)),$val6	\(AB \ne BA),\($(tmp4)),$val7	\($(tmp5)),\(A = C),$val7	\(A \ne C),\($(tmp6)),$val7	\($(tmp7)),\(A = C),$val6	\($val11 = $(tmp8)),\(AB = BA),$val6	\($val12 = $(tmp9)),\(AB = BA),$val6	\($val12 \ne $(tmp10)),\(AB \ne BA),$val7	\(AB \ne BA),\($val12 \ne $(tmp11)),$val6	\(AB = BA),\($val12 = $(tmp12)),$val7	\(AB \ne BA),\(A + B \ne B + A),$val7	\(A + B = B + A),\(AB = BA),$val7	\($val10$val11 = $val13),\($val11$val10 = $val13),$val7	\($val10$val11 \ne $val13),\($val11$val10 \ne $val13),$val7		
val16=!translate internal $	\
$ to ;; in $tmp
tmp=!translate internal $	$ to ; in $val16

tmp=!nonempty rows $tmp
tmp=!randrow $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val16=$(tmp0)
tmp0=!item 1 of $val16

val17=$(tmp0)
tmp0=!item 2 of $val16

val18=$(tmp0)
tmp0=!item 3 of $val16

val19=$(tmp0)
val20=$val17,$val18
!if C isin $val20 
val21=Sean \(A), \(B), \(C) tres matrices
!else
!if B isin $val20 
val21=Sean \(A), \(B) dos matrices
!else
val21=Sea \(A) una matriz
!endif
!endif
choicename1=La respuesta
choicegood1=$val19
choicebad1=$val8
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()$val21 $val15&times;$val15. ¿Es cierta la siguiente afirmación?	<p><center>	 Si $val17, entonces $val18.	</center><p>	 
!if I_$val15 isin $val17 $val18 
$()	 (
!insmath I_$val15
$() es la matriz identidad $val15&times;$val15)	 
!endif
$()	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=15,17,18,21
embedcnt=0
